Name:           pomchecker
Version:        1.2.0
Release:        1%{?dist}
Summary:        POM syntax checker
License:        ASL 2.0
URL:            https://github.com/kordamp/pomchecker
BuildArch:      noarch

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  help2man
BuildRequires:  maven-local
BuildRequires:  mvn(info.picocli:picocli)
BuildRequires:  mvn(info.picocli:picocli-codegen)
BuildRequires:  mvn(org.apache.maven.enforcer:enforcer-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-api)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-connector-basic)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-spi)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-transport-file)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-transport-http)
BuildRequires:  mvn(org.apache.maven.resolver:maven-resolver-util)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-model-builder)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.apache.maven:maven-resolver-provider)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.slf4j:slf4j-api)

%description
Checks that a POM file has the required syntax for a given purpose.

%package -n %{name}-core
Summary:        POM validation core implementation
%description -n %{name}-core
Provides base behavior for other PomChecker projects.

%package -n %{name}-cli
Summary:        POM validation CLI runner
Requires:       javapackages-tools
%description -n %{name}-cli
Command line tool for checking POM compliance.

%package -n %{name}-enforcer-rules
Summary:        POM validation enforcer rules
%description -n %{name}-enforcer-rules
Provides rules that can be used with the Maven Enforcer plugin.

%package -n %{name}-maven-plugin
Summary:        POM validation Maven plugin
%description -n %{name}-maven-plugin
The PomChecker Maven plugin provides goals to check the contents of a POM file.

%{?javadoc_package}

%prep
%autosetup

find -type f '(' -name '*.jar' -o -name '*.class' ')' -delete

%pom_remove_plugin com.mycila:license-maven-plugin
%pom_remove_plugin org.codehaus.mojo:appassembler-maven-plugin %{name}-cli
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-site-plugin

%pom_remove_parent

%pom_xpath_inject pom:project '<groupId>org.kordamp.maven</groupId>'
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-compiler-plugin"]' '<version>3.8.1</version>' %{name}-cli
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-jar-plugin"]' '<version>3.2.0</version>' %{name}-cli

%pom_disable_module pomchecker-toolprovider
%pom_disable_module pomchecker-gradle-plugin

%mvn_package :%{name} __noinstall

%build
%mvn_build -s -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%jpackage_script org.kordamp.maven.checker.cli.Main "" "" pomchecker/pomchecker-cli:pomchecker/pomchecker-core:maven/maven-artifact:plexus/utils:apache-commons-lang3:maven/maven-compat:maven/maven-settings-builder:plexus/plexus-sec-dispatcher:plexus/plexus-cipher:maven-resolver/maven-resolver-impl:org.eclipse.sisu.plexus:cdi-api/jakarta.enterprise.cdi-api:jakarta-annotations/jakarta.annotation-api:plexus-containers/plexus-component-annotations:maven/maven-core:maven/maven-builder-support:maven/maven-plugin-api:maven-shared-utils/maven-shared-utils:apache-commons-io:org.eclipse.sisu.inject:guice/google-guice-no_aop:guava/guava:jsr-305:atinject:plexus/classworlds.jar:maven/maven-model:maven/maven-model-builder:maven/maven-project:maven/maven-profile:maven/maven-artifact-manager:maven/maven-plugin-registry:plexus-containers/plexus-container-default:plexus-classworlds:maven/maven-repository-metadata:maven-resolver/maven-resolver-api:maven-resolver/maven-resolver-connector-basic:maven/maven-resolver-provider:maven-resolver/maven-resolver-spi:maven-resolver/maven-resolver-transport-file:maven-resolver/maven-resolver-transport-http:httpcomponents/httpclient:apache-commons-codec:httpcomponents/httpcore:slf4j/jcl-over-slf4j:maven-resolver/maven-resolver-util:maven/maven-settings:picocli/picocli:plexus/interpolation:slf4j/slf4j-api:maven-wagon/provider-api:slf4j/slf4j-simple:guava/failureaccess pomchecker true

%files -n %{name}-core -f .mfiles-%{name}-core
%license LICENSE

%files -n %{name}-cli -f .mfiles-%{name}-cli
%license LICENSE
%{_bindir}/pomchecker

%files -n %{name}-enforcer-rules -f .mfiles-%{name}-enforcer-rules
%license LICENSE

%files -n %{name}-maven-plugin -f .mfiles-%{name}-maven-plugin
%license LICENSE

%changelog
* Fri Oct 08 2021 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 1.2.0-1
- Initial package
